{
  template: '${tmpl}',
    data: function() {
      return {
        multipleSelection: [],
        isSingleSelect: false,
      }
    },
  mounted: function() {

  },
  created: function() {
  },
  methods: {
    onColFormater(row, column, cellvalue, index){
      if (column.property == "isEnabled") {
        if (row["isEnabled"]) {
          return "正常";
        } else {
          return "停用";
        }
      }
      return cellvalue;
    },
    handleSelectionChange: function(val) {
      this.multipleSelection = val;
      console.log(val);
    },
    onRowClick(row, key, e){
      if (key == "stopUser") {
        this.modelName = "companytheme";
        var url = this.getUrl("update");
        row.isEnabled = !row.isEnabled;
        this.$root.postReq(url, row).then(rd => {
          if (rd.status == 0) {
            this.$refs.userGrid.fetchData();
          }
        });
      }
    },

  },
  computed: Vuex.mapState({
    count: state => state.count,
    headStyle: function () {
      return { "background-color": "white" };
    }
  }),
    vname: "gsb_sitetheme"
}
